# -*- mode: ruby; coding: utf-8; -*-
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rhn/version'

Gem::Specification.new do |spec|
  spec.name          = "rhn"
  spec.version       = Rhn::VERSION
  spec.authors       = ["Lincoln de Sousa"]
  spec.email         = ["lincoln@clarete.li"]
  spec.description   = %q{Yet another WEB API for hackernews}
  spec.summary       = %q{Yet another WEB API for hackernews. Beware of lazy hack ahead!
This project is a very thin layer on top of [ruby-hackernews](https://github.com/bolthar/ruby-hackernews) so
we can access this info through HTTP.

The main usage of this API is an [Emacs Client for Hackernews](https://github.com/clarete/hackernews.el).
}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  # Library requirements
  spec.add_dependency "ruby-hackernews"
  spec.add_dependency "sinatra"
  spec.add_dependency "json"

  # Development requirements
  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "debugger"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "rack-test"
  spec.add_development_dependency "bump"
end
